REM
REM  This program will read the raw RBBSLIST.* or NODELIST.* file
REM  and create/display boards that match the prefix below.
REM  You would then use an editor to move the output into the
REM  Smlnet.nam file in the order that you want.
REM
REM  This is meant primarily when the sysop first sets up Smlnet, and
REM  wants to add his local boards only to the Smlnet.Nam file.
REM
PREFIX$=",1-214-"

OPEN "\BINKLEY\NODELIST.125" FOR INPUT AS #1
OPEN "TEMP.TXT" FOR OUTPUT AS #2

WHILE NOT EOF(1)
 LINE INPUT #1, BOARD$
 IF LEFT$(BOARD$,1)<>";" THEN
  IF LEFT$(BOARD$,4)="Zone"   OR _
     LEFT$(BOARD$,6)="Region" OR LEFT$(BOARD$,4)="Host" THEN _
     GOSUB GET.ADDRESS :NET=R :NODE=0 _
  ELSE _
     GOSUB GET.ADDRESS :NODE=R

  IF INSTR(BOARD$,PREFIX$)>0 THEN GOSUB GET.NAME :_
     PRINT #2,USING" #####  #####  \                             \"; _
              NET, NODE, R$

 END IF
WEND
CLOSE
END

GET.ADDRESS:
   R$=BOARD$
   R=INSTR(R$,",") :R$=MID$(R$,R+1)
   R=INSTR(R$,",") :IF R>0 THEN R$=LEFT$(R$,R-1)
   R=VAL(R$)
   RETURN

GET.NAME:
   R$=BOARD$
   R=INSTR(R$,",") :R$=MID$(R$,R+1)
   R=INSTR(R$,",") :R$=MID$(R$,R+1)
   R=INSTR(R$,",") :R$=MID$(R$,R+1)
   R=INSTR(R$,",") :R$=MID$(R$,R+1)
   R=INSTR(R$,",") :IF R>0 THEN R$=LEFT$(R$,R-1)
   FOR R=1 TO LEN(R$)
   IF MID$(R$,R,1)="_" THEN MID$(R$,R,1)=" "
   NEXT R
   RETURN

REM  End of Program     (Written in MS QuickBasic 2.01)
